Skip to main content
PUT

Authorizations

Authorization
string
header
required

Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.

Path Parameters

fulfillmentOrderId
integer
required

ID of the fulfillment order

Body

application/json
order_status
enum<string>
required

Status to set.

Available options:
awaiting_shipment,
shipped,
cancelled
tracking_number
string | null

Carrier tracking number. Required when order_status is shipped.

Maximum string length: 255
carrier_code
string | null

Carrier code. Required when order_status is shipped.

Maximum string length: 255
ship_date
string<date> | null

Date the shipment left, Y-m-d. Required when order_status is shipped.

Example:

"2026-11-05"

Response

Fulfillment order status updated

data
object